<?php


// +----------------------------------------------------------------------+
// | PHP version 4                                                        |
// +----------------------------------------------------------------------+
// | Copyright (c) 1997-2005 Snapshot Inc.                                |
// +----------------------------------------------------------------------+
// | License                                                              |
// | GNU General Public License                                           |
// +----------------------------------------------------------------------+
// | Authors: Takayuki Tanimoto <takayuki@snapshot.co.jp>                 |
// +----------------------------------------------------------------------+
//
// $Id: SearchView_success.class.php,v 1.1 2005/06/20 09:31:25 snapshot Exp $
//
// Description:
// 2005/05/26
//

require_once (OPT_DIR.'u-learning/view/AdminView.class.php');

class SearchView extends AdminView {

    function setRendererAttributes(& $controller, & $request, & $user, & $renderer) {
        $renderer->setTemplate('Search_success.php');

        $renderer->setAttribute('subjects', $request->getAttribute('subjects'));

        $renderer->setAttribute('sid', $request->getAttribute('sid'));
        /*
        $renderer->setAttribute('eid', $request->getAttribute('eid'));
        $renderer->setAttribute('uid', $request->getAttribute('uid'));
        */
        $renderer->setAttribute('group', $request->getAttribute('group'));
        $renderer->setAttribute('results', $request->getAttribute('results'));
        $renderer->setAttribute('subject', $request->getAttribute('subject'));
    }

}
?>